com.google.cloud.dataflow.sdk.testing

## Class TestStream.WatermarkEvent<T>

- java.lang.Object
- - com.google.cloud.dataflow.sdk.testing.TestStream.WatermarkEvent<T>

All Implemented Interfaces:
  TestStream.Event<T>

Enclosing class:
  TestStream<T>

    public abstract static class TestStream.WatermarkEvent<T>
    extends Object
    implements TestStream.Event<T>

An `TestStream.Event` that advances the watermark.

### Constructor Summary

Constructors
Constructor and Description
`WatermarkEvent()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract Instant` `getWatermark()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.cloud.dataflow.sdk.testing.TestStream.Event

`getType`

### Constructor Detail

#### WatermarkEvent

    public WatermarkEvent()

### Method Detail

#### getWatermark

    public abstract Instant getWatermark()